Skip to content
Get started

Labric Read Api

post/api/v1/tools/read

Read records from a table.

Returns records from the specified table matching the given filters. Use 'single' mode to retrieve exactly one record, or 'multiple' mode to retrieve all matching records.

Body ParametersExpand Collapse
filters: map[unknown]

Key-value filters to apply to the query.

target_name: string

The name of the table to read from.

target_type: "table" or "core-table"

The type of target. Either 'table' or 'core-table'.

Accepts one of the following:
"table"
"core-table"
mode: optional "single" or "multiple"

'single' returns exactly one record and throws an error if more than one matching record exists, 'multiple' returns all matches.

Accepts one of the following:
"single"
"multiple"
Labric Read Api
curl https://platform.labric.co//api/v1/tools/read \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LABRIC_API_KEY" \
    -d '{
          "filters": {
            "foo": "bar"
          },
          "target_name": "target_name",
          "target_type": "table"
        }'
[
  {
    "foo": "bar"
  }
]
Returns Examples
[
  {
    "foo": "bar"
  }
]